Name:		olpc-bootanim
Version:	2.14
Release:	1.bernie1%{?dist}
Summary:	OLPC XO boot animation

License:	GPLv2+
Group:		System Environment/Base
URL:		http://dev.laptop.org/git?p=users/dsd/olpc-bootanim
Source0:	http://dev.laptop.org/~dsd/olpc-bootanim/%{name}-%{version}.tar.bz2
Patch0:         olpc-bootanim-gcc46.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#ExclusiveArch:		%{ix86} %{arm}
BuildRequires:		python, netpbm-progs
Requires:			initscripts
Requires(post):		/sbin/chkconfig
Requires(preun):	/sbin/chkconfig
Obsoletes:			plymouth < 0.8.99
Provides:			plymouth = 0.8.99

%description
OLPC's optimized boot animation for the XO laptop, also including regulatory
shutdown warning. Not recommended for use on regular systems.

%package tools
Summary: Tools to customize OLPC XO boot animation
Group: System Environment/Base
# does not require %{name}

%description tools
Tools used to prepare OLPC XO boot animation
images.

%prep
%setup -q
%patch0 -p1 -b .gcc46

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/bin
ln -s ../usr/bin/plymouth $RPM_BUILD_ROOT/bin/plymouth

%post
/sbin/chkconfig --add 0-boot-anim-start
/sbin/chkconfig --add z-boot-anim-stop
/sbin/chkconfig --add ul-warning

%preun
if [ $1 -eq 0 ]; then
  /sbin/chkconfig --del 0-boot-anim-start
  /sbin/chkconfig --del z-boot-anim-stop
  /sbin/chkconfig --del ul-warning
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING

%{_sysconfdir}/rc.d/init.d/0-boot-anim-start
%{_sysconfdir}/rc.d/init.d/z-boot-anim-stop
%{_sysconfdir}/rc.d/init.d/ul-warning
%{_sbindir}/boot-anim-start
%{_sbindir}/boot-anim-stop
%{_sbindir}/boot-anim-helper
%{_sbindir}/boot-anim-running
%{_sbindir}/ul-warning
%{_bindir}/plymouth
%{_prefix}/share/boot-anim/
/bin/plymouth

%files tools
/usr/bin/ppmto565.py
/usr/bin/calcdelta
/usr/bin/os-undelta

%changelog
